version: '3'
services:
    mysql-wso2am:
        image: mysql:5.7.21
        volumes:
            - ./data/mysql-wso2am:/var/lib/mysql
        ports:
            - 3306
        environment:
            MYSQL_ROOT_PASSWORD: root
            MYSQL_DATABASE: statdb

    wso2am-analytics:        
        image: registry.gitlab.com/docker.public/wso2am-analytics:2.2.0
        links:
            - mysql-wso2am
        ports:
            - "9444:9444"
            - "9764:9764"
            - "4041:4041"
        volumes:
            - ./data/apim-analytics:/home/wso2carbon/volumes
        depends_on:
            - mysql-wso2am
        
    wso2am:        
        image: registry.gitlab.com/docker.public/wso2am:2.2.0
        links:
            - mysql-wso2am
            - wso2am-analytics
        ports:
            - "9763:9763"
            - "9443:9443"
            - "8280:8280"
            - "8243:8243"
        volumes:
            - ./data/apim:/home/wso2carbon/volumes
        depends_on:
            - mysql-wso2am
            - wso2am-analytics